<?php
/**
 * New Social Feed
 *
 * @version 1.0
 * @package WP Social Stream Designer PRO
 */

global $wpdb;
$page_title                           = esc_html__( 'Add New Social Feed', 'social-stream-designer' );
$edit_action                          = '';
$edit_id                              = '';
$feed_name                            = '';
$feed_type                            = '';
$feed_type_twitter                    = '';
$feed_type_facebook                   = '';
$feed_type_youtube                    = '';
$feed_type_vimeo                      = '';
$feed_type_flickr                     = '';
$feed_type_instagram                  = '';
$moderate_feeds                       = 0;
$feed_type_soundcloud_username        = '';
$feed_type_soundcloud_playlist        = '';
$refresh_feed_on_dd                   = 'days';
$refresh_feed_on_number               = '1';
$feed_limit                           = 100;
$feed_status                          = 'Active';
$twitter_search_keyword               = '';
$twitter_language                     = 'all';
$insta_location_id                    = '';
$insta_tag_keyword                    = '';
$youtube_channel_id                   = '';
$youtube_playlist_id                  = '';
$youtube_search_query                 = '';
$youtube_username                     = '';
$google_plus_userid                   = '';
$feed_type_tumblr_username            = '';
$linkedin_page_id                     = '';
$feed_type_wordpress                  = '';
$ssd_feed_type_wp_cat_name            = '';
$ssd_feed_type_wp_post_id             = '';
$ssd_feed_type_rss_channel_url        = '';
$ssd_feed_type_rss_avatar_url         = '';
$ssd_feed_type_rss_channel_name       = '';
$ssd_feed_type_foursquare_location_id = '';
$ssd_feed_type_foursquare_feed_type   = 'tips';
$twitter_username                     = '';
$twitter_user_listname                = '';
$fb_page_id                           = '';
// $fb_page_access_token				  = '';
$fb_person_id						  = '';
$fb_event_id						  =	'';
$fb_album_id                          = '';
$fb_group_id						  = '';
$flickr_user_id                       = '';
$flickr_tag_keyword                   = '';
$ssd_feed_type_pinterest_userid       = '';
$ssd_feed_type_pinterest_boardname    = '';
$ssd_feed_type_vimeo_userid           = '';
$ssd_feed_type_vimeo_channelid        = '';
$ssd_feed_type_vimeo_albumid          = '';
$ssd_feed_type_vimeo_groupid          = '';
$insta_username                       = '';
$feed_type_tiktok                     = '';
$tiktok_hashtag                       = '';
$tiktok_username                      = '';
$ssd_feeds_actions                    = new SSDFeedsActions();
$ssd_feeds_actions->init();
if ( isset( $_POST['nonce'] ) ) {
	$nonce = sanitize_text_field( wp_unslash( $_POST['nonce'] ) );
	if ( ! wp_verify_nonce( $nonce, 'social-stream' ) ) {
		wp_send_json_error( array( 'stream' => 'Nonce error' ) );
		die();
	}
}
$ssd_action = isset( $_REQUEST['action'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['action'] ) ) : '';
if ( 'edit' === $ssd_action ) {
	$ssd_feeds_actions->feed_id = isset( $_REQUEST['id'] ) ? intval( $_REQUEST['id'] ) : '';

	$edit_action = 'edit';
	$page_title  = esc_html__( 'Edit Social Feed', 'social-stream-designer' );

	$feed_stream = $ssd_feeds_actions->ssd_get_feed_detail();

	if ( isset( $feed_stream ) && is_array( $feed_stream ) ) {
		$feed_type                            = isset( $feed_stream['feed'] ) ? $feed_stream['feed'] : '';
		$feed_type_twitter                    = isset( $feed_stream['feed_type_twitter'] ) ? $feed_stream['feed_type_twitter'] : '';
		$feed_type_facebook                   = isset( $feed_stream['feed_type_facebook'] ) ? $feed_stream['feed_type_facebook'] : '';
		$feed_type_youtube                    = isset( $feed_stream['feed_type_youtube'] ) ? $feed_stream['feed_type_youtube'] : '';
		$feed_type_vimeo                      = isset( $feed_stream['feed_type_vimeo'] ) ? $feed_stream['feed_type_vimeo'] : '';
		$feed_type_flickr                     = isset( $feed_stream['feed_type_flickr'] ) ? $feed_stream['feed_type_flickr'] : '';
		$feed_type_instagram                  = isset( $feed_stream['feed_type_instagram'] ) ? $feed_stream['feed_type_instagram'] : '';
		$feed_name                            = isset( $feed_stream['feed_name'] ) ? $feed_stream['feed_name'] : '';
		$refresh_feed_on_number               = isset( $feed_stream['refresh_feed_on_number'] ) ? $feed_stream['refresh_feed_on_number'] : '1';
		$feed_limit                           = isset( $feed_stream['feed_limit'] ) ? $feed_stream['feed_limit'] : $feed_limit;
		$moderate_feeds                       = isset( $feed_stream['moderate_feeds'] ) ? $feed_stream['moderate_feeds'] : $moderate_feeds;
		$refresh_feed_on_dd                   = isset( $feed_stream['refresh_feed_on_dd'] ) ? $feed_stream['refresh_feed_on_dd'] : 'days';
		$insta_location_id                    = isset( $feed_stream['insta_location_id'] ) ? $feed_stream['insta_location_id'] : '';
		$insta_tag_keyword                    = isset( $feed_stream['insta_tag_keyword'] ) ? $feed_stream['insta_tag_keyword'] : '';
		$twitter_search_keyword               = isset( $feed_stream['twitter_search_keyword'] ) ? $feed_stream['twitter_search_keyword'] : '';
		$twitter_language					  =  isset( $feed_stream['twitter_language'] ) ? $feed_stream['twitter_language'] : 'all';
		$feed_status                          = isset( $feed_stream['feed_status'] ) ? $feed_stream['feed_status'] : 'Active';
		$youtube_playlist_id                  = isset( $feed_stream['youtube_playlist_id'] ) ? $feed_stream['youtube_playlist_id'] : '';
		$youtube_channel_id                   = isset( $feed_stream['youtube_channel_id'] ) ? $feed_stream['youtube_channel_id'] : '';
		$youtube_search_query                 = isset( $feed_stream['youtube_search_query'] ) ? $feed_stream['youtube_search_query'] : '';
		$youtube_username                     = isset( $feed_stream['youtube_username'] ) ? $feed_stream['youtube_username'] : '';
		$google_plus_userid                   = isset( $feed_stream['google_plus_userid'] ) ? $feed_stream['google_plus_userid'] : '';
		$feed_type_tumblr_username            = isset( $feed_stream['feed_type_tumblr_username'] ) ? $feed_stream['feed_type_tumblr_username'] : '';
		$feed_type_soundcloud_username        = isset( $feed_stream['feed_type_soundcloud_username'] ) ? $feed_stream['feed_type_soundcloud_username'] : '';
		$feed_type_soundcloud_playlist        = isset( $feed_stream['feed_type_soundcloud_playlist'] ) ? $feed_stream['feed_type_soundcloud_playlist'] : '';
		$linkedin_page_id                     = isset( $feed_stream['linkedin_pageID'] ) ? $feed_stream['linkedin_pageID'] : '';
		$feed_type_wordpress                  = isset( $feed_stream['feed_type_wordpress'] ) ? $feed_stream['feed_type_wordpress'] : '';
		$ssd_feed_type_wp_cat_name            = isset( $feed_stream['ssd_feed_type_wp_cat_name'] ) ? $feed_stream['ssd_feed_type_wp_cat_name'] : '';
		$ssd_feed_type_wp_post_id             = isset( $feed_stream['ssd_feed_type_wp_post_id'] ) ? $feed_stream['ssd_feed_type_wp_post_id'] : '';
		$ssd_feed_type_rss_channel_url        = isset( $feed_stream['ssd_feed_type_rss_channel_url'] ) ? $feed_stream['ssd_feed_type_rss_channel_url'] : '';
		$ssd_feed_type_rss_avatar_url         = isset( $feed_stream['ssd_feed_type_rss_avatar_url'] ) ? $feed_stream['ssd_feed_type_rss_avatar_url'] : '';
		$ssd_feed_type_rss_channel_name       = isset( $feed_stream['ssd_feed_type_rss_channel_name'] ) ? $feed_stream['ssd_feed_type_rss_channel_name'] : '';
		$ssd_feed_type_foursquare_location_id = isset( $feed_stream['ssd_feed_type_foursquare_location_id'] ) ? $feed_stream['ssd_feed_type_foursquare_location_id'] : '';
		$ssd_feed_type_foursquare_feed_type   = isset( $feed_stream['ssd_feed_type_foursquare_feed_type'] ) ? $feed_stream['ssd_feed_type_foursquare_feed_type'] : '';
		$twitter_username                     = isset( $feed_stream['twitter_username'] ) ? $feed_stream['twitter_username'] : '';
		$twitter_user_listname                = isset( $feed_stream['twitter_user_listname'] ) ? $feed_stream['twitter_user_listname'] : '';
		$fb_page_id                           = isset( $feed_stream['fb_page_id'] ) ? $feed_stream['fb_page_id'] : '';
		// $fb_page_access_token				  = isset( $feed_stream['fb_page_access_token'] ) ? $feed_stream['fb_page_access_token'] : '';
		$fb_person_id                         = isset( $feed_stream['fb_person_id'] ) ? $feed_stream['fb_person_id'] : '';
		$fb_album_id                          = isset( $feed_stream['fb_album_id'] ) ? $feed_stream['fb_album_id'] : '';
		$fb_event_id                          = isset( $feed_stream['fb_event_id'] ) ? $feed_stream['fb_event_id'] : '';
		$fb_group_id                          = isset( $feed_stream['fb_group_id'] ) ? $feed_stream['fb_group_id'] : '';
		$insta_username                       = isset( $feed_stream['insta_username'] ) ? $feed_stream['insta_username'] : '';
		$flickr_user_id                       = isset( $feed_stream['flickr_user_id'] ) ? $feed_stream['flickr_user_id'] : '';
		$flickr_tag_keyword                   = isset( $feed_stream['flickr_tag_keyword'] ) ? $feed_stream['flickr_tag_keyword'] : '';
		$ssd_feed_type_pinterest_userid       = isset( $feed_stream['ssd_feed_type_pinterest_userid'] ) ? $feed_stream['ssd_feed_type_pinterest_userid'] : '';
		$ssd_feed_type_pinterest_boardname    = isset( $feed_stream['ssd_feed_type_pinterest_boardname'] ) ? $feed_stream['ssd_feed_type_pinterest_boardname'] : '';
		$ssd_feed_type_vimeo_userid           = isset( $feed_stream['ssd_feed_type_vimeo_userid'] ) ? $feed_stream['ssd_feed_type_vimeo_userid'] : '';
		$ssd_feed_type_vimeo_channelid        = isset( $feed_stream['ssd_feed_type_vimeo_channelid'] ) ? $feed_stream['ssd_feed_type_vimeo_channelid'] : '';
		$ssd_feed_type_vimeo_albumid          = isset( $feed_stream['ssd_feed_type_vimeo_albumid'] ) ? $feed_stream['ssd_feed_type_vimeo_albumid'] : '';
		$ssd_feed_type_vimeo_groupid          = isset( $feed_stream['ssd_feed_type_vimeo_groupid'] ) ? $feed_stream['ssd_feed_type_vimeo_groupid'] : '';
		$feed_type_tiktok                     = isset( $feed_stream['feed_type_tiktok'] ) ? $feed_stream['feed_type_tiktok'] : '';
		$tiktok_hashtag                       = isset( $feed_stream['tiktok_hashtag'] ) ? $feed_stream['tiktok_hashtag'] : '';
		$tiktok_username                      = isset( $feed_stream['tiktok_username'] ) ? $feed_stream['tiktok_username'] : '';
	}
}
?>
<div class="wrap ssd-add-social-feed-wrap"> <!-- wrap start -->
	<h1 class="ssd-add-feed-div"><?php echo esc_html( $page_title ); ?></h1>
	<?php
	if ( isset( $_GET['ssd_error'] ) ) {
		?>
			<div class="error notice">
				<p><?php echo esc_html( base64_decode( sanitize_text_field( wp_unslash( $_GET['ssd_error'] ) ) ) ); ?></p>
			</div>
		<?php
	}
	if ( isset( $_REQUEST['update'] ) && 'added' === $_REQUEST['update'] ) {
		if ( isset( $_GET['add_feed'] ) && '' !== sanitize_text_field( wp_unslash( $_GET['add_feed'] ) ) ) {
			$count = sanitize_text_field( wp_unslash( $_GET['add_feed'] ) );
		} else {
			$count = 0;
		}
		if ( ! isset( $_GET['ssd_error'] ) ) {
			?>
		<div class="updated notice">
			<p>
			<?php
			esc_html_e( 'Feed has been updated successfully.', 'social-stream-designer' );
			echo ' ( ' . esc_html( $count ) . ' ';
			esc_html_e( 'feeds added', 'social-stream-designer' );
			echo ' )';
			?>
			</p>
		</div>
			<?php
		}
	} elseif ( isset( $_REQUEST['update'] ) && 'updated' === $_REQUEST['update'] ) {
		if ( isset( $_GET['add_feed'] ) && '' !== sanitize_text_field( wp_unslash( $_GET['add_feed'] ) ) ) {
			$count = sanitize_text_field( wp_unslash( $_GET['add_feed'] ) );
		} else {
			$count = 0;
		}
		if ( ! isset( $_GET['ssd_error'] ) ) {
			?>
		<div class="updated notice">
			<p>
			<?php
			esc_html_e( 'Feed has been updated successfully.', 'social-stream-designer' );
			echo ' ( ' . esc_html( $count ) . ' ';
			esc_html_e( 'feeds added', 'social-stream-designer' );
			echo ' )';
			?>
			</p>
		</div>
			<?php
		}
	} elseif ( isset( $_REQUEST['update'] ) && 'false' == $_REQUEST['update'] ) {
		?>
		<div class="error notice">
			<p><?php esc_html_e( 'Error to update feed.', 'social-stream-designer' ); ?></p>
		</div>
		<?php
	}
	?>
	<div class="ssd-screen"><!-- ssd-screen start -->
		<form method="post" action="" class="ssdf-set-bx">
			<?php wp_nonce_field( 'social-stream-designer_meta_box_nonce', 'feed_stream_nonce' ); ?>
			<input type="hidden" id="ssd_edit_action"  name="ssd_edit_action" value="<?php echo esc_attr( $edit_action ); ?>">
			<input type="hidden" id="ssd_edit_id"  name="ssd_edit_id" value="<?php echo intval( $ssd_feeds_actions->feed_id ); ?>">
			<div class="stm-hdr" >
				<h3><?php esc_html_e( 'Social Feed Settings', 'social-stream-designer' ); ?></h3>
				<p class="submit">
					<input name="submit" id="submit" class="button button-primary ssd_feed_setting_btn" value="<?php esc_html_e( 'Save Changes', 'social-stream-designer' ); ?>" type="submit">
				</p>
			</div>
			<div class="ssds-cntr">
				<div class="">
					<div class="inside">
						<ul class="form-table">
							<li>
								<div class="ssd-left"><?php esc_html_e( 'Add Feed Name', 'social-stream-designer' ); ?></div>
								<div class="ssd-right">
									<input required="" type="text" name="feed_stream[feed_name]" value="<?php echo esc_attr( $feed_name ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b>: 
																				<?php
																				esc_html_e( 'Enter', 'social-stream-designer' );
																				echo esc_html( '  feed name' );
																				?>
									</p>
								</div>
							</li>
							<li>
								<div class="ssd-left"><?php esc_html_e( 'Select Stream For Feed', 'social-stream-designer' ); ?></div>
								<div class="ssd-right">
									<select id="ssd_feed" onchange="ssd_get_feed_type()" name="feed_stream[feed]" class="ssd_feed_select">
										<?php
										foreach ( Social_Stream_Main::ssd_get_social_stream_options() as $key => $value ) :
											echo '<option value="' . esc_attr( $key ) . '" ' . ( $feed_type === $key ? 'selected="selected"' : '' ) . '>' . esc_html( $value ) . '</option>';
											endforeach;
										?>
									</select>
									<p class="description"><?php esc_html_e( 'Select social stream to create feed', 'social-stream-designer' ); ?></p>
								</div>
							</li>

							<!-- Below code is use for Twitter -->
							<li class="ssd_feed_type ssd_twitter-stream">
								<div class="ssd-left"><?php esc_html_e( 'Select Feed Type', 'social-stream-designer' ); ?></div>
								<div class="ssd-right">
									<select id="ssd_feed_type_twitter" onchange="ssd_get_feed_type()" name="feed_stream[feed_type_twitter]" class="ssd_feed_select">
										<option <?php selected( 'home_timeline', $feed_type_twitter ); ?> value="home_timeline"><?php echo esc_html( 'Home timeline' ); ?></option>
										<option <?php selected( 'user_feed', $feed_type_twitter ); ?> value="user_feed"><?php echo esc_html( 'User feed' ); ?></option>
										<option <?php selected( 'users_like', $feed_type_twitter ); ?> value="users_like"><?php echo esc_html( "User's likes" ); ?></option>
										<option <?php selected( 'tweets_by_search', $feed_type_twitter ); ?> value="tweets_by_search"><?php echo esc_html( 'Tweets by search' ); ?></option>
										<option <?php selected( 'user_list', $feed_type_twitter ); ?> value="user_list"><?php echo esc_html( 'User List' ); ?></option>
									</select>
									<p class="description"><?php esc_html_e( 'Select social stream feed type to get the feeds', 'social-stream-designer' ); ?></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_twitter-stream ssd_feed_type_search">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ) ; echo esc_html( ' Search Keyword' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[twitter_search_keyword]" value="<?php echo esc_attr( $twitter_search_keyword ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : 
																				<?php
																				esc_html_e( 'Enter', 'social-stream-designer' );
																				echo esc_html( ' Search Keyword' );
																				?>
									</p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_twitter-stream ssd_feed_type_search">
								<div class="ssd-left"><?php esc_html_e( 'Select', 'social-stream-designer' ) ; echo esc_html( ' Tweets language' ); ?></div>
								<div class="ssd-right">
									<select name="feed_stream[twitter_language]"  class="ssd_feed_select">
										<option <?php selected( 'all', $twitter_language ); ?> value="all"><?php esc_html_e( 'Any Language', 'social-stream-designer' ); ?></option>
										<?php 
										$languages = Social_Stream_Main::ssd_tweets_language();
										if( !empty( $languages ) ) {
											foreach( $languages as $key=>$val ) {
												?>
												<option <?php selected( $key, $twitter_language ); ?> value="<?php echo esc_attr( $key ) ?>"><?php echo esc_attr( $val ) ?></option>
												<?php
											}
										}
										
										?>
										
									</select>
								</div>
							</li>
							<li class="ssd_feed_type ssd_twitter-stream ssd_feed_type_user">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ) ; echo esc_html( ' Username' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[twitter_username]" value="<?php echo esc_attr( $twitter_username ); ?>" />
									<p class="ssd_user_feed_text description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter Username of any public Twitter account.', 'social-stream-designer' ); ?></p>
									<p class="ssd_user_list_text description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'If your twitter page URL is structured like this:', 'social-stream-designer' ); ?> https://twitter.com/SolwinInfotech <?php esc_html_e( 'then the Username is', 'social-stream-designer' ); ?> "SolwinInfotech".</p>
									<p class="ssd_user_like_text description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'If your twitter page URL is structured like this:', 'social-stream-designer' ); ?> https://twitter.com/SolwinInfotech <?php esc_html_e( 'then the Username is', 'social-stream-designer' ); ?> "SolwinInfotech".</p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_twitter-stream ssd_feed_type_user_list">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ) ; echo esc_html( ' List ID' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[twitter_user_listname]" value="<?php echo esc_attr( $twitter_user_listname ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'If your List URL is structured like this', 'social-stream-designer' ); ?>: https://twitter.com/i/lists/123654123654123 <?php esc_html_e( 'then the List ID is actually the number at the end, so in this case', 'social-stream-designer' ); ?> 123654123654123.</p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_facebook-stream">
								<div class="ssd-left"><?php esc_html_e( 'Select Feed Type', 'social-stream-designer' ); ?></div>
								<div class="ssd-right">
									<select name="feed_stream[feed_type_facebook]" onchange="ssd_get_feed_type()" class="ssd_feed_select">
										<option <?php selected( 'page', $feed_type_facebook ); ?> value="page"><?php echo esc_html( 'Page' ); ?></option>
										<option <?php selected( 'album', $feed_type_facebook ); ?> value="album"><?php echo esc_html( 'Album' ); ?></option>
										<option <?php selected( 'all_album', $feed_type_facebook ); ?> value="all_album"><?php echo esc_html( 'All Album Photos' ); ?></option>
										<option <?php selected( 'event', $feed_type_facebook ); ?> value="event"><?php echo esc_html( 'Event' ); ?></option>
										<option <?php selected( 'group', $feed_type_facebook ); ?> value="group"><?php echo esc_html( 'Group' ); ?></option>
									</select>
									<p class="description"><?php esc_html_e( 'Select social stream feed type to get the feeds', 'social-stream-designer' ); ?></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_facebook-stream ssd_feed_type_fb_page">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ) ; echo esc_html( ' Page ID' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[fb_page_id]" value="<?php echo esc_attr( $fb_page_id ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'If your page URL is structured like this', 'social-stream-designer' ); ?>: https://www.facebook.com/pages/your_page_name/123654123654123 <?php esc_html_e( 'then the Page ID is actually the number at the end, so in this case', 'social-stream-designer' ); ?> 123654123654123.</p>
								</div>
							</li>
							
							<li class="ssd_feed_type ssd_facebook-stream ssd_feed_type_fb_all_group">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' Group ID' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[fb_group_id]" value="<?php echo esc_attr( $fb_group_id ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'If your Group URL is structured like this', 'social-stream-designer' ); ?>: https://www.facebook.com/groups/123654123654123 <?php esc_html_e( 'then the Group ID is actually the number at the end, so in this case', 'social-stream-designer' ); ?> 123654123654123.</p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_facebook-stream ssd_feed_type_fb_all_album">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' Person ID' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[fb_person_id]" value="<?php echo esc_attr( $fb_person_id ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'You can see here to get Person ID.', 'social-stream-designer' ); ?> <a href='https://socialstreamdesigner.solwininfotech.com/docs/how-to-get-facebook-person-id/' target='_blank'><?php esc_html_e( 'Click here', 'social-stream-designer' ); ?></a></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_facebook-stream ssd_feed_type_fb_event">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' Event ID' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[fb_event_id]" value="<?php echo esc_attr( $fb_event_id ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'If your Event URL is structured like this', 'social-stream-designer' ); ?>: https://www.facebook.com/pg/your_page_name-123654123654123/events/ <?php esc_html_e( 'then the Event ID is actually the number at the end, so in this case', 'social-stream-designer' ); ?> 123654123654123.</p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_facebook-stream ssd_feed_type_fb_album">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' Album ID' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[fb_album_id]" value="<?php echo esc_attr( $fb_album_id ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'You can see here to get album ID.', 'social-stream-designer' ); ?> <a href='https://socialstreamdesigner.solwininfotech.com/docs/how-to-get-facebook-album-id/' target='_blank'><?php esc_html_e( 'Click here', 'social-stream-designer' ); ?></a></p>
								</div>
							</li>

							<!-- Below code is use for Youtube -->
							<li class="ssd_feed_type ssd_youtube-stream">
								<div class="ssd-left"><?php esc_html_e( 'Select Feed Type', 'social-stream-designer' ); ?></div>
								<div class="ssd-right">
									<select name="feed_stream[feed_type_youtube]" onchange="ssd_get_feed_type()" class="ssd_feed_select">
										<option <?php selected( 'user_feed', $feed_type_youtube ); ?> value="user_feed"><?php echo esc_html( 'User feed' ); ?></option>
										<option <?php selected( 'channel', $feed_type_youtube ); ?> value="channel"><?php echo esc_html( 'Channel' ); ?></option>
										<option <?php selected( 'playlists', $feed_type_youtube ); ?> value="playlists"><?php echo esc_html( 'Playlist' ); ?></option>
										<option <?php selected( 'search', $feed_type_youtube ); ?> value="search"><?php echo esc_html( 'Search' ); ?></option>
									</select>
									<p class="description"><?php esc_html_e( 'Select social stream feed type to get the feeds', 'social-stream-designer' ); ?></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_youtube-stream ssd_feed_type_channel">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' Channel ID' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[youtube_channel_id]" value="<?php echo esc_attr( $youtube_channel_id ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' youtube channel ID' ); ?></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_youtube-stream ssd_feed_type_playlist">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' Playlist ID' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[youtube_playlist_id]" value="<?php echo esc_attr( $youtube_playlist_id ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' youtube playlist ID' ); ?></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_youtube-stream ssd_feed_type_youtube_search">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' Search text' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[youtube_search_query]" value="<?php echo esc_attr( $youtube_search_query ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' search keyword' ); ?></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_youtube-stream ssd_feed_type_youtube_username">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' Username' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[youtube_username]" value="<?php echo esc_attr( $youtube_username ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' youtube username' ); ?></p>
								</div>
							</li>

							<!-- Below code is use for Vimeo -->
							<li class="ssd_feed_type ssd_vimeo-stream">
								<div class="ssd-left"><?php esc_html_e( 'Select', 'social-stream-designer' ); echo esc_html( ' Feed Type' ); ?></div>
								<div class="ssd-right">
									<select name="feed_stream[feed_type_vimeo]" onchange="ssd_get_feed_type()" class="ssd_feed_select">
										<option <?php selected( 'user_videos', $feed_type_vimeo ); ?> value="user_videos"><?php esc_html_e( 'User videos', 'social-stream-designer' ); ?></option>
										<option <?php selected( 'liked_videos', $feed_type_vimeo ); ?> value="liked_videos"><?php esc_html_e( 'Liked videos', 'social-stream-designer' ); ?></option>
										<option <?php selected( 'channel', $feed_type_vimeo ); ?> value="channel"><?php esc_html_e( 'Channel', 'social-stream-designer' ); ?></option>
										<option <?php selected( 'group', $feed_type_vimeo ); ?> value="group"><?php esc_html_e( 'Group', 'social-stream-designer' ); ?></option>
										<option <?php selected( 'album', $feed_type_vimeo ); ?> value="album"><?php esc_html_e( 'Album', 'social-stream-designer' ); ?></option>
									</select>
									<p class="description"><?php esc_html_e( 'Select social stream feed type to get the feeds', 'social-stream-designer' ); ?></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_vimeo-stream ssd_feed_type_vimeo_user ssd_inner_field">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' User ID' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[ssd_feed_type_vimeo_userid]" value="<?php echo esc_attr( $ssd_feed_type_vimeo_userid ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' vimeo user id' ); ?></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_vimeo-stream ssd_feed_type_vimeo_channelid ssd_inner_field">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' Channel ID' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[ssd_feed_type_vimeo_channelid]" value="<?php echo esc_attr( $ssd_feed_type_vimeo_channelid ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' vimeo channel ID' ); ?></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_vimeo-stream ssd_feed_type_vimeo_albumid ssd_inner_field">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' Album ID' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[ssd_feed_type_vimeo_albumid]" value="<?php echo esc_attr( $ssd_feed_type_vimeo_albumid ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' vimeo album ID' ); ?></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_vimeo-stream ssd_feed_type_vimeo_groupid ssd_inner_field">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' Group ID' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[ssd_feed_type_vimeo_groupid]" value="<?php echo esc_attr( $ssd_feed_type_vimeo_groupid ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' vimeo group ID' ); ?></p>
								</div>
							</li>


							<!-- Below code is use for Pinterest -->
							<li class="ssd_feed_type ssd_pinterest-stream ssd_feed_type_pinterest_userid ssd_inner_field">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' User ID' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[ssd_feed_type_pinterest_userid]" value="<?php echo esc_attr( $ssd_feed_type_pinterest_userid ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'If your profile page URL is structured like this', 'social-stream-designer' ); ?>: https://in.pinterest.com/user1235 <?php esc_html_e( 'then the User ID is actually the number at the end, so in this case', 'social-stream-designer' ); ?> user1235.</p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_pinterest-stream ssd_feed_type_pinterest_boardname ssd_inner_field">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' Board Name' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[ssd_feed_type_pinterest_boardname]" value="<?php echo esc_attr( $ssd_feed_type_pinterest_boardname ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' pinterest board name' ); ?></p>
								</div>
							</li>

							<!-- Below code is use for Flickr -->
							<li class="ssd_feed_type ssd_flickr-stream">
								<div class="ssd-left"><?php esc_html_e( 'Select', 'social-stream-designer' ); echo esc_html( ' Feed Type' ); ?></div>
								<div class="ssd-right">
									<select name="feed_stream[feed_type_flickr]" onchange="ssd_get_feed_type()" class="ssd_feed_select">
										<option <?php selected( 'user_photostream', $feed_type_flickr ); ?> value="user_photostream"><?php echo esc_html( 'User photostream' ); ?></option>
										<option <?php selected( 'tag', $feed_type_flickr ); ?> value="tag"><?php esc_html_e( 'Tag', 'social-stream-designer' ); ?></option>
									</select>
									<p class="description"><?php esc_html_e( 'Select social stream feed type to get the feeds', 'social-stream-designer' ); ?></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_flickr-stream ssd_feed_type_flickr_photo">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' User ID' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[flickr_user_id]" value="<?php echo esc_attr( $flickr_user_id ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' flickr user ID' ); ?></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_flickr-stream ssd_feed_type_flickr_tag">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' Tag Keyword' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[flickr_tag_keyword]" value="<?php echo esc_attr( $flickr_tag_keyword ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter one or multiple words separated by commas.', 'social-stream-designer' ); ?></p>
								</div>
							</li>

							<!-- Below code is use for Instagram -->
							<li class="ssd_feed_type ssd_instagram-stream">
								<div class="ssd-left"><?php esc_html_e( 'Select', 'social-stream-designer' ); echo esc_html( ' Feed Type' ); ?></div>
								<div class="ssd-right">
									<select name="feed_stream[feed_type_instagram]" onchange="ssd_get_feed_type()" class="ssd_feed_select">
										<option <?php selected( 'user_feed', $feed_type_instagram ); ?> value="user_feed"><?php echo esc_html( 'User feed' ); ?></option>
										<option <?php selected( 'hashtag', $feed_type_instagram ); ?> value="hashtag"><?php echo esc_html( 'Hashtag' ); ?></option>
									</select>
									<p class="description"><?php esc_html_e( 'Select social stream feed type to get the feeds', 'social-stream-designer' ); ?></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_instagram-stream ssd_feed_type_insta_user">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' Username' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[insta_username]" value="<?php echo esc_attr( $insta_username ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' Instagram username' ); ?></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_instagram-stream ssd_feed_type_location">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' Location ID' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[insta_location_id]" value="<?php echo esc_attr( $insta_location_id ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' location ID' ); ?></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_instagram-stream ssd_feed_type_tag">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' Tag Keyword ID' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[insta_tag_keyword]" value="<?php echo esc_attr( $insta_tag_keyword ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' keyword for tag' ); ?></p>
								</div>
							</li>

							<!-- Below code is use for Tumblr -->
							<li class="ssd_feed_type ssd_tumblr-stream ssd_tumblr_username">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' Username' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[feed_type_tumblr_username]" value="<?php echo esc_attr( $feed_type_tumblr_username ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' tumblr username' ); ?></p>
								</div>
							</li>

							<!-- Below code is use for Google+ -->
							<li class="ssd_feed_type ssd_googleplus-stream ssd_feed_type_googleplus_user">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' User ID' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[google_plus_userid]" value="<?php echo esc_attr( $google_plus_userid ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'You can see here to get Google+ ID.', 'social-stream-designer' ); ?> <a target='_blank' href='https://www.slickremix.com/docs/how-to-get-your-google-plus-id/'><?php esc_html_e( 'Click here', 'social-stream-designer' ); ?></a></p>
								</div>
							</li>

							<!-- Below code is use for Linkedin -->
							<li class="ssd_feed_type ssd_linkedin-stream ssd_feed_type_linkedin_pageID">
								<div class="ssd-left"><?php esc_html_e( 'Enter', 'social-stream-designer' ); echo esc_html( ' Company Page ID' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[linkedin_pageID]" value="<?php echo esc_attr( $linkedin_page_id ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : 
									<?php
									esc_html_e( 'Enter', 'social-stream-designer' );
									echo esc_html( ' Company Page ID' );
									?>
									</p>
								</div>
							</li>

							<!-- Below code is use for WordPress -->
							<li class="ssd_feed_type ssd_wordpress-stream">
								<div class="ssd-left"><?php esc_html_e( 'Select', 'social-stream-designer' ); echo esc_html( ' Feed Type' ); ?></div>
								<div class="ssd-right">
									<?php
									$args       = array(
										'public'   => true,
										'_builtin' => false,
									);
									$post_types = get_post_types( $args, 'objects' );
									?>
									<select name="feed_stream[feed_type_wordpress]" onchange="ssd_get_feed_type()" class="ssd_feed_select">
										<option <?php selected( 'posts', $feed_type_wordpress ); ?> value="posts"><?php esc_html_e( 'Posts', 'social-stream-designer' ); ?></option>
										<option <?php selected( 'comments', $feed_type_wordpress ); ?> value="comments"><?php esc_html_e( 'Comments', 'social-stream-designer' ); ?></option>
										<?php
										if ( isset( $post_types ) ) {
											if ( is_array( $post_types ) && ! empty( $post_types ) ) {
												foreach ( $post_types as $ptype ) {
													$post_type_slug  = $ptype->name;
													$post_type_label = $ptype->label;
													?>
													<option <?php selected( $post_type_slug, $feed_type_wordpress ); ?> value="<?php echo esc_attr( $post_type_slug ); ?>"><?php echo esc_attr( $post_type_label ); ?></option>
													<?php
												}
											}
										}
										?>
									</select>
									<p class="description"><?php esc_html_e( 'Select social stream feed type to get the feeds', 'social-stream-designer' ); ?></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_wordpress-stream ssd_feed_type_posts">
								<div class="ssd-left"><?php esc_html_e( 'Enter Category Name', 'social-stream-designer' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[ssd_feed_type_wp_cat_name]" value="<?php echo esc_attr( $ssd_feed_type_wp_cat_name ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter one or multiple categories separated by comma, or leave empty to show all posts.', 'social-stream-designer' ); ?></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_wordpress-stream ssd_feed_type_comments">
								<div class="ssd-left">
								<?php
								esc_html_e( 'Enter', 'social-stream-designer' );
								echo esc_html( ' Post ID' );
								?>
								</div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[ssd_feed_type_wp_post_id]" value="<?php echo esc_attr( $ssd_feed_type_wp_post_id ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter post ID to show comments of a single post, or leave empty to show all comments.', 'social-stream-designer' ); ?></p>
								</div>
							</li>

							<!-- Below code is use for RSS -->
							<li class="ssd_feed_type ssd_rss-stream ssd_feed_type_rss">
								<div class="ssd-left">
								<?php
								esc_html_e( 'Enter', 'social-stream-designer' );
								echo esc_html( ' Channel URL' );
								?>
								</div>
								<div class="ssd-right">
									<input type="url" name="feed_stream[ssd_feed_type_rss_channel_url]" value="<?php echo esc_attr( $ssd_feed_type_rss_channel_url ); ?>" style="background: #ffffff none repeat scroll 0 0;border: none;border-radius: 5px;box-shadow: none;font-size: 14px;color: #414149;padding: 10px 15px;width: 100%;    min-width: 400px;max-width: 400px;margin: 0;height: 50px;" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : 
									<?php
									esc_html_e( 'Enter RSS feed full URL. Url format should be in XML like this', 'social-stream-designer' );
									echo ' : ' . esc_url( 'https://www.fifa.com/rss/index.xml' );
									?>
									</p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_rss-stream ssd_feed_type_rss">
								<div class="ssd-left"><?php esc_html_e( 'RSS Channel Name', 'social-stream-designer' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[ssd_feed_type_rss_channel_name]" value="<?php echo esc_attr( $ssd_feed_type_rss_channel_name ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter name to show in card. This name will be showing in frontend where social feeds display.', 'social-stream-designer' ); ?></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_rss-stream ssd_feed_type_rss">
								<div class="ssd-left"><?php esc_html_e( 'Avatar URL', 'social-stream-designer' ); ?></div>
								<div class="ssd-right">
									<input type="url" name="feed_stream[ssd_feed_type_rss_avatar_url]" value="<?php echo esc_url( $ssd_feed_type_rss_avatar_url ); ?>" style="background: #ffffff none repeat scroll 0 0;border: none;border-radius: 5px;box-shadow: none;font-size: 14px;color: #414149;padding: 10px 15px;width: 100%;    min-width: 400px;max-width: 400px;margin: 0;height: 50px;" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter avatar full URL. This is use for profile picture enter any link of profile picture you want to display in social feed.', 'social-stream-designer' ); ?></p>

								</div>
							</li>
								<!-- Below code is use for FourSquare -->
							<li class="ssd_feed_type ssd_soundcloud-stream ssd_feed_type_soundcloud">
								<div class="ssd-left"><?php esc_html_e( 'Username', 'social-stream-designer' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[feed_type_soundcloud_username]" value="<?php echo esc_attr( $feed_type_soundcloud_username ); ?>" style="background: #ffffff none repeat scroll 0 0;border: none;border-radius: 5px;box-shadow: none;font-size: 14px;color: #414149;padding: 10px 15px;width: 100%;    min-width: 400px;max-width: 400px;margin: 0;height: 50px;" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : 
																				<?php
																				esc_html_e( 'Find username in URL', 'social-stream-designer' );
																				echo ' : ' . esc_url( 'soundcloud.com/username/sets/playlist.' );
																				?>
									</p>

								</div>
							</li>
							<li class="ssd_feed_type ssd_soundcloud-stream ssd_feed_type_soundcloud">
								<div class="ssd-left"><?php esc_html_e( 'Playlist', 'social-stream-designer' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[feed_type_soundcloud_playlist]" value="<?php echo esc_attr( $feed_type_soundcloud_playlist ); ?>" style="background: #ffffff none repeat scroll 0 0;border: none;border-radius: 5px;box-shadow: none;font-size: 14px;color: #414149;padding: 10px 15px;width: 100%;    min-width: 400px;max-width: 400px;margin: 0;height: 50px;" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : 
																				<?php
																				esc_html_e( 'Find playlist ID in URL', 'social-stream-designer' );
																				echo ' : ' . esc_url( 'soundcloud.com/username/sets/playlist.' );
																				?>
									</p>

								</div>
							</li>
							<li class="ssd_feed_type ssd_foursquare-stream ssd_feed_type_foursquare">
								<div class="ssd-left"><?php esc_html_e( 'Foursquare Feed Type', 'social-stream-designer' ); ?></div>
								<div class="ssd-right">
								<select style="min-width: 82px;max-width: 100px;" name="feed_stream[ssd_feed_type_foursquare_feed_type]" class="ssd_feed_select">
										<option <?php selected( 'tips', $ssd_feed_type_foursquare_feed_type ); ?> value="tips"><?php esc_html_e( 'Tips', 'social-stream-designer' ); ?></option>
										<option <?php selected( 'photos', $ssd_feed_type_foursquare_feed_type ); ?> value="photos"><?php esc_html_e( 'Photos', 'social-stream-designer' ); ?></option>
									</select>
								</div>
							</li>
							<li class="ssd_feed_type ssd_foursquare-stream ssd_feed_type_foursquare">
								<div class="ssd-left">
								<?php
								esc_html_e( 'Enter', 'social-stream-designer' );
								echo esc_html( ' Location ID' );
								?>
								</div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[ssd_feed_type_foursquare_location_id]" value="<?php echo esc_attr( $ssd_feed_type_foursquare_location_id ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : 
																				<?php
																				esc_html_e( 'Enter', 'social-stream-designer' );
																				echo esc_html( ' Location ID' );
																				?>
									</p>
								</div>
							</li>
														<!-- Below code is use for Tiktok -->
							<li class="ssd_feed_type ssd_tiktok-stream">
								<div class="ssd-left"><?php esc_html_e( 'Get Tiktok videos from', 'social-stream-designer' ); ?></div>
								<div class="ssd-right">
									<select id="ssd_feed_type_tiktok" onchange="ssd_get_feed_type()" name="feed_stream[feed_type_tiktok]" class="ssd_feed_select">
										<option <?php selected( 'hashtag', $feed_type_tiktok ); ?> value="hashtag"><?php echo esc_html( 'Hashtag' ); ?></option>
										<option <?php selected( 'username', $feed_type_tiktok ); ?> value="username"><?php echo esc_html( 'User feed' ); ?></option>
									</select>
									<p class="description"><?php esc_html_e( 'Select social stream feed type to get the feeds', 'social-stream-designer' ); ?></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_tiktok-stream ssd_feed_type_tiktok_hashtag">
								<div class="ssd-left"><?php esc_html_e( 'Enter hashtag keyword', 'social-stream-designer' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[tiktok_hashtag]" value="<?php echo esc_attr( $tiktok_hashtag ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter hashtag Keyword without # tag.', 'social-stream-designer' ); ?></p>
								</div>
							</li>
							<li class="ssd_feed_type ssd_tiktok-stream ssd_feed_type_tiktok_user">
								<div class="ssd-left"><?php esc_html_e( 'Enter Username', 'social-stream-designer' ); ?></div>
								<div class="ssd-right">
									<input type="text" name="feed_stream[tiktok_username]" value="<?php echo esc_attr( $tiktok_username ); ?>" />
									<p class="description"><b><?php esc_html_e( 'Note', 'social-stream-designer' ); ?></b> : <?php esc_html_e( 'Enter username without @ tag.', 'social-stream-designer' ); ?></p>
								</div>
							</li>
							<li>
								<div class="ssd-left"><?php esc_html_e( 'Feed Limit', 'social-stream-designer' ); ?></div>
								<div class="ssd-right">
									<input required='' type="number" min="0" max="500" name="feed_stream[feed_limit]" value="<?php echo esc_attr( $feed_limit ); ?>"/>
									<p class="description"><?php esc_html_e( 'Feed limit control the number of feeds to fetch from the API.', 'social-stream-designer' ); ?></p>
								</div>
							</li>
							<li>
								<div class="ssd-left"><?php esc_html_e( 'Refresh Feeds On', 'social-stream-designer' ); ?></div>
								<div class="ssd-right feed_refresh">
									<?php esc_html_e( 'Every', 'social-stream-designer' ); ?>&nbsp;&nbsp;&nbsp;
									<input type="number" min="1" max="999" name="feed_stream[refresh_feed_on_number]" value="<?php echo esc_attr( $refresh_feed_on_number ); ?>" style="max-width: 115px !important;margin-right: 10px;" />
									<select style="min-width: 82px;max-width: 100px;" name="feed_stream[refresh_feed_on_dd]" class="ssd_feed_select">
										<option <?php selected( 'minutes', $refresh_feed_on_dd ); ?> value="minutes"><?php esc_html_e( 'Minutes', 'social-stream-designer' ); ?></option>
										<option <?php selected( 'hours', $refresh_feed_on_dd ); ?> value="hours"><?php esc_html_e( 'Hours', 'social-stream-designer' ); ?></option>
										<option <?php selected( 'days', $refresh_feed_on_dd ); ?> value="days"><?php esc_html_e( 'Days', 'social-stream-designer' ); ?></option>
										<option <?php selected( 'weeks', $refresh_feed_on_dd ); ?> value="weeks"><?php esc_html_e( 'Weeks', 'social-stream-designer' ); ?></option>
									</select>
																		<p class="description"><?php esc_html_e( 'Note : It is recommended to refresh tiktok feeds every 1 day', 'social-stream-designer' ); ?></p>
								</div>
							</li>
																																				  <li>
								<div class="ssd-left"><?php esc_html_e( 'Moderate Feeds?', 'social-stream-designer' ); ?></div>
								<div class="ssd-right  ssds-set-box">
									<div class="radio-group">
																			<input type="radio" class="yes" id="moderate_feeds_yes" name="feed_stream[moderate_feeds]" value="1" <?php echo ( 1 == $moderate_feeds ) ? ' checked="checked"' : ''; ?>><label for="moderate_feeds_yes"><?php esc_html_e( 'Yes', 'social-stream-designer' ); ?></label>
																																																<input class="no" type="radio" id="moderate_feeds_no" name="feed_stream[moderate_feeds]" value="0" <?php echo ( 0 == $moderate_feeds ) ? ' checked="checked"' : ''; ?> ><label for="moderate_feeds_no"><?php esc_html_e( 'No', 'social-stream-designer' ); ?></label>
																																														</div>
								</div>
							</li>
														
							<input type="hidden" name="feed_stream[feed_status]" value="<?php echo esc_attr( $feed_status ); ?>" />
						</ul>
					</div>
				</div>
			</div>
		</form>
	</div><!-- ssd-screen end -->
</div> <!-- wrap end-->
